agency-board
PATCH /v1/agency/boards/{boardId}/cards/{cardId}/attachments/{attachmentId}
Choose whether the client can see this file.
සත්යාපනය
බෙරර් ටෝකනයක් ලෙස API යතුරක් යවන්න. මෙම අන්ත ලක්ෂ්යය පිරිවිතරයේ නිශ්චිත අවසරයක් දක්වා නැත, එබැවින් උපකල්පනය කරනවාට වඩා ඔබේ යතුරට අවශ්ය අවම අවසරය ලබා දී ප්රතිචාරය පරීක්ෂා කරන්න.
මෙම අවසාන ලක්ෂ්යය සඳහා සංවිධාන හැඳුනුම්පතක් (organisation id) අවශ්ය නොවේ. ඔබගේ යතුර මඟින් එය අයත් වන සංවිධානය දැනටමත් හඳුනා ගන්නා අතර, ප්රතිචාරය ඒ වෙත සීමා වේ.
උත්සාහ කරන්න
<අගයන්> සමඟ කෝණික වරහන් තුළ ඇති ඕනෑම දෙයක් සහ ඔබේ උපකරණ පුවරුවෙන් ලබාගත් යතුරක් සමඟ key ස්ථාන දායකය ප්රතිස්ථාපනය කරන්න.
curl -X PATCH https://api.zinndigital.com/v1/agency/boards/{boardId}/cards/{cardId}/attachments/{attachmentId} \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "visibility": <AgencyBoardVisibility> }'පද්ධතියට පිවිස සිටිනවාද? ඔබගේ උපකරණ පුවරුවේ ඇති API කොන්සෝලය මඟින් ඔබේ සැබෑ ආයතනික හැඳුනුම්පත සහ ඔබේම යතුර පුරවා, සජීවී API වෙත ඉල්ලීම ක්රියාත්මක කරන බැවින් ඔබට සැබෑ ප්රතිචාරය දැකගත හැක. මෙම අග්රලක්ෂ්යය API කොන්සෝලය තුළ විවෘත කරන්න
පරාමිතීන්
| නම | වර්ගය | අත්යවශ්යයි | එය කුමක්ද |
|---|---|---|---|
boardId (path) | Uuid | ඔව් | Project board ID (UUIDv7). |
cardId (path) | Uuid | ඔව් | Board card ID (UUIDv7). |
attachmentId (path) | Uuid | ඔව් | Board card attachment ID (UUIDv7). |
ඉල්ලුම් පත්ර ශරීරය
| නම | වර්ගය | අත්යවශ්යයි | එය කුමක්ද |
|---|---|---|---|
visibility | AgencyBoardVisibility | ඔව් | Who may see this object. `internal` is always the default. A **card** reaches the client only when it is `client` **and its column is too** — an AND, not inheritance, because th… |
පsspil
| නම | වර්ගය | අත්යවශ්යයි | එය කුමක්ද |
|---|---|---|---|
id | Uuid | ඔව් | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
card_id | Uuid | ඔව් | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
filename | string | ඔව් | — |
content_type | string | නැත | — |
size_bytes | integer | ඔව් | — |
visibility | AgencyBoardVisibility | නැත | Who may see this object. `internal` is always the default. A **card** reaches the client only when it is `client` **and its column is too** — an AND, not inheritance, because th… |
scan_state | AgencyBoardAttachmentScanState | ඔව් | Where an uploaded file is in the malware pipeline. ⛔ `clean` is the ONLY state the bytes are ever served in — `pending`, `infected` and `error` all refuse, including to the agen… |
downloadable | boolean | ඔව් | ⭐ Whether these bytes may be fetched right now. Computed from the scan state by the engine rather than derived by a caller — two copies of "may this leave the building" is how t… |
uploaded_by | AgencyBoardActor | නැත | — |
created_at | string | නැත | — |
මෙම අවසාන ලක්ෂ්යය ආපසු ලබා දිය හැකි දෝෂ
401 · 403 · 404 · 422